---
title: SVGGeometryElement.getTotalLength()
slug: Web/API/SVGGeometryElement/getTotalLength
tags:
  - API
  - DOM
  - Method
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <code><strong>SVGGeometryElement.getTotalLength()</strong></code> method returns the user agent's computed value for the total length of the path in user units.</p>

<div class="note">
<p><strong>Note:</strong> This method was originally part of the {{domxref("SVGPathElement")}} interface. SVG 2 introduced the {{domxref("SVGGeometryElement")}} interface and moved the property to it.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">float <var>someElement</var>.getTotalLength();
</pre>

<h3 id="Return_value">Return value</h3>

<p>A float indicating the total length of the path in user units.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "types.html#__svg__SVGGeometryElement__getTotalLength", "SVGGeometryElement.getTotalLength()")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGGeometryElement.getTotalLength")}}</p>
